Skip to main content

Update channel's privacy

PUT 

/api/v4/channels/:channel_id/privacy

Updates channel's privacy allowing changing a channel from Public to Private and back.

Minimum server version: 5.16

Permissions​

manage_team permission for the channels team on version < 5.28. convert_public_channel_to_private permission for the channel if updating privacy to 'P' on version >= 5.28. convert_private_channel_to_public permission for the channel if updating privacy to 'O' on version >= 5.28.

Request​

Responses​

Channel conversion successful